%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate nucleo-matcher

Name:           rust-nucleo-matcher
Version:        0.2.0
Release:    1%{?dist}
Summary:        Plug and play high performance fuzzy matcher

License:        MPL-2.0
URL:            https://crates.io/crates/nucleo-matcher
Source0:         %{crates_source}
Source1:        https://raw.githubusercontent.com/helix-editor/nucleo/nucleo-v%{version}/LICENSE
Patch:          nucleo-matcher-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Plug and play high performance fuzzy matcher.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-casefold-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-casefold-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-casefold" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-casefold-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-normalization-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-normalization-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-normalization" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-normalization-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-segmentation-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-segmentation-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-segmentation" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-segmentation-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-1
- initial build
